Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] xbps-src/shutils/cross.sh: error out if cross toolchain can't be compiled
@ 2019-11-03 15:39 voidlinux-github
  2019-11-03 17:42 ` [PR PATCH] [Merged]: " voidlinux-github
  0 siblings, 1 reply; 2+ messages in thread
From: voidlinux-github @ 2019-11-03 15:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 651 bytes --]

There is a new pull request by Johnnynator against master on the void-packages repository

https://github.com/Johnnynator/void-packages cross
https://github.com/void-linux/void-packages/pull/16086

xbps-src/shutils/cross.sh: error out if cross toolchain can't be compiled
$rval was the return code of pkg_available and not of build.sh, since
pkg_available returns 0. because of this install_cross_pkg() would
always return 0 for success.

Can be easily tested by running something like `./xbps-src -m masterdir-musl pkg dash -a aarch64` before and afterwards.

A patch file from https://github.com/void-linux/void-packages/pull/16086.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-cross-16086.patch --]
[-- Type: text/x-diff, Size: 1105 bytes --]

From 6b7e32d13c005adb6bfb1387aa6ef07befe40fb6 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Sun, 3 Nov 2019 16:34:47 +0100
Subject: [PATCH] xbps-src/shutils/cross.sh: error out if cross toolchain can't
 be compiled

$rval was the return code of pkg_available and not of build.sh, since
pkg_available returns 0. because of this install_cross_pkg() would
always return 0 for success.
---
 common/xbps-src/shutils/cross.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/common/xbps-src/shutils/cross.sh b/common/xbps-src/shutils/cross.sh
index 68ed372ffc5..66454fd9186 100644
--- a/common/xbps-src/shutils/cross.sh
+++ b/common/xbps-src/shutils/cross.sh
@@ -79,7 +79,7 @@ install_cross_pkg() {
     pkg_available cross-${XBPS_CROSS_TRIPLET}
     rval=$?
     if [ $rval -eq 0 ]; then
-        $XBPS_LIBEXECDIR/build.sh cross-${XBPS_CROSS_TRIPLET} cross-${XBPS_CROSS_TRIPLET} pkg || return $rval
+        $XBPS_LIBEXECDIR/build.sh cross-${XBPS_CROSS_TRIPLET} cross-${XBPS_CROSS_TRIPLET} pkg || return $?
     fi
 
     check_installed_pkg cross-${XBPS_CROSS_TRIPLET}-0.1_1

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [PR PATCH] [Merged]: xbps-src/shutils/cross.sh: error out if cross toolchain can't be compiled
  2019-11-03 15:39 [PR PATCH] xbps-src/shutils/cross.sh: error out if cross toolchain can't be compiled voidlinux-github
@ 2019-11-03 17:42 ` voidlinux-github
  0 siblings, 0 replies; 2+ messages in thread
From: voidlinux-github @ 2019-11-03 17:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 494 bytes --]

There's a merged pull request on the void-packages repository

xbps-src/shutils/cross.sh: error out if cross toolchain can't be compiled
https://github.com/void-linux/void-packages/pull/16086

Description:
$rval was the return code of pkg_available and not of build.sh, since
pkg_available returns 0. because of this install_cross_pkg() would
always return 0 for success.

Can be easily tested by running something like `./xbps-src -m masterdir-musl pkg dash -a aarch64` before and afterwards.

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2019-11-03 17:42 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-11-03 15:39 [PR PATCH] xbps-src/shutils/cross.sh: error out if cross toolchain can't be compiled voidlinux-github
2019-11-03 17:42 ` [PR PATCH] [Merged]: " voidlinux-github

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).